Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class ConfigParameters

    java.lang.Object
      |
      +--oracle.apps.cz.cio.ConfigParameters

public class ConfigParameters
extends java.lang.Object

This class contains all the necessary information to create a configuration. An object of this type must be created and passed to CIO.startConfiguration. The arguments to the constructors, the modelLookupDate and the effectiveDate are all that are necessary to create the configuration. All other methods are optional. Note: The methods in this class set the parameters used to initialize the configuration. Once the configuration has been created, changing a parameter will not affect it in any way.

Field Summary
`static int` | `ATP_CALLBACK`
`static int` | `ATP_DISABLED`
`static int` | `DEFAULT_SOURCE_TXN_TYPE_ID`
`static int` | `INTERACTIVE`
`static int` | `JAVA_PRICING_MODE`
`static int` | `NATIVE`
`static int` | `NEW`
`static int` | `PARAM_NOT_SET`
`static int` | `PRICE_MULT_ITEMS`
`static int` | `PRICE_MULT_ITEMS_MLS`
`static int` | `PRICE_SINGLE_ITEM`
`static int` | `PRICING_DISABLED`
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`
`static int` | `RESTORE`
`static int` | `VALIDATE_FULFILLMENT`
`static int` | `VALIDATE_ORDER`

Constructor Summary
`ConfigParameters(int modelId)` Constructor for creating a new configuration from a modelId
`ConfigParameters(int inventoryItemId, int organizationId, java.util.Date explosionDate)` Constructor for creating a new configuration based on a BOM explosion
`ConfigParameters(long headerId, long revisionNumber)` Constructor for restoring a saved configuration

Method Summary
`void` | `addInstalledInstance(java.lang.Long headerId)` This method adds a configHeaderId of an instance to be added to the delta configuration
`void` | `addUserParam(java.lang.String name, java.lang.Object value)` This method adds a user-defined parameter to the configuration, which can be obtained later by a functional companion.
`java.lang.Integer` | `getAtpCustomerId()` Deprecated. use getAtpCustomerIdLong
`java.lang.Long` | `getAtpCustomerIdLong()` This method returns the customer id for ATP.
`java.lang.Integer` | `getAtpCustomerSiteId()` Deprecated. use getAtpCustomerSiteIdLong
`java.lang.Long` | `getAtpCustomerSiteIdLong()` This method returns the customer site id for ATP.
`int` | `getAtpMode()` This method returns the ATP mode.
`java.lang.String` | `getAtpPackageName()` This method returns the package name for ATP.
`java.lang.String` | `getAtpProcedureName()` This method returns the procedure name for ATP.
`java.lang.String` | `getAtpRequestedDate()` This method returns the requested date for ATP.
`java.lang.String` | `getAtpSessionKey()` This method returns the session key for ATP.
`java.lang.Integer` | `getAtpShipToOrgId()` This method returns the ship to organization id for ATP.
`java.lang.Integer` | `getAtpWarehouseId()` This method returns the warehouse id for ATP.
`long` | `getConfigHeaderId()` This method returns the header id of the saved configuration that will be restored.
`long` | `getConfigRevision()` This method returns the revision number of the saved configuration that will be restored.
`int` | `getConfigurationType()` Returns the type of session.
`int` | `getDeltaSpec()` This method returns the delta spec parameter.
`java.util.Calendar` | `getEffectiveDate()` This method returns the effective date of the configuration If not set, it will return null.
`java.lang.String` | `getEffectiveUsageName()` This method returns the effective usage name of the configuration If not set, it will return null.
`java.util.Date` | `getExplosionDate()` This method returns the explosion date of the BOM explosion that will be used to create the configuration.
`double` | `getInitialBomQuantity()` This method returns the initial quantity of the root BOM node The default is 0.
`int` | `getInputInventoryItemId()` This method returns the inventoryItemId that will be used to determine which bill is the source of the configuration.
`int` | `getInputOrganizationId()` This method returns the organizationId that will be used to determine which bill is the source of the configuration.
`com.sun.java.util.collections.Collection` | `getInstalledInstances()` This method returns the collection of configHeaderIds of the instances to be added to the delta configuration
`int` | `getInventoryItemId()` This method returns the inventory item id of the BOM explosion that will be used to create the configuration.
`int` | `getModelId()` This method returns the id of the model against which the configuration will be created.
`java.util.Calendar` | `getModelLookupDate()` This method returns the lookup date of the model If not set, it will return null.
`int` | `getOrganizationId()` This method returns the organization id of the BOM explosion that will be used to create the configuration.
`java.lang.String` | `getPricingClassName()` This method returns the name of the pricing class for Java pricing.
`int` | `getPricingMode()` This method returns the pricing mode.
`java.lang.String` | `getPricingPackageName()` This method returns the pricing package name for non-Java pricing.
`java.lang.String` | `getPricingProcedureName()` This method returns the pricing procedure name for non-Java pricing.
`java.lang.String` | `getPricingSessionKey()` This method returns the pricing session key for non-Java pricing.
`int` | `getRestoreModelId()` This method returns the modelId against which the CIO will attempt to restore the saved configuration.
`java.lang.String` | `getSessionId()` This method returns the id of the session.
`int` | `getSourceTransactionTypeId()` This method returns the SourceTransactionTypeId against which the CIO will use when reconfiguring an instance If not set, it will return PARAM_NOT_SET.
`boolean` | `getSuppressBaselineErrorsFlag()` This method returns true if a validation failure WILL NOT be created if the baseline of an instance being restored is different from the currently installed revision The default is false
`int` | `getUiDefId()` This method returns the current ui_def_id being used for the configuration If not set, it will return -1.
`oracle.apps.cz.cio.IUserInterface` | `getUserInterface()` This method returns the current user interface being used for the configuration If not set, it will return null.
`java.lang.Object` | `getUserParam(java.lang.String name)` This method returns the value of the specified user-defined parameter.
`java.lang.String` | `getValidationContext()` This method returns the context in which to compare instances to the installed base repository If not set, it will return null.
`boolean` | `hasAtpParams()` This method returns true if the ATP Params have been set
`boolean` | `hasConfigHeaderId()` This method returns true if the ConfigHeaderId parameter has been set
`boolean` | `hasConfigRevision()` This method returns true if the ConfigRevision parameter has been set
`boolean` | `hasEffectiveDate()` This method returns true if the EffectiveDate parameter has been set
`boolean` | `hasEffectiveUsageName()` This method returns true if the EffectiveUsageName parameter has been set
`boolean` | `hasExplosionDate()` This method returns true if the ExplosionDate parameter has been set
`boolean` | `hasInitialBomQuantity()` This method returns true if the InitialBomQuantity parameter has been set
`boolean` | `hasInputInventoryItemId()` This method returns true if the InputInventoryItemId parameter has been set
`boolean` | `hasInputOrganizationId()` This method returns true if the InputOrganizationId parameter has been set
`boolean` | `hasInventoryItemId()` This method returns true if the InventoryItemId parameter has been set
`boolean` | `hasModelId()` This method returns true if the modelId parameter has been set
`boolean` | `hasModelLookupDate()` This method returns true if the ModelLookupDate parameter has been set
`boolean` | `hasOrganizationId()` This method returns true if the OrganizationId parameter has been set
`boolean` | `hasPricingParams()` This method returns true if the Pricing Params have been set
`boolean` | `hasRestoreModelId()` This method returns true if the RestoreModelId parameter has been set
`boolean` | `hasSessionId()` This method returns true if the SessionId parameter has been set
`boolean` | `hasSourceTransactionTypeId()` This method returns true if the SourceTransactionTypeId parameter has been set
`boolean` | `hasUserInterface()` This method returns true if the UserInterface parameter has been set
`boolean` | `hasUserParam(java.lang.String param)` This method returns true if the specified user parameter has been set
`boolean` | `hasValidationContext()` This method returns true if the ValidationContext parameter has been set
`void` | `setAtpParams(java.lang.String packageName, java.lang.String procedureName, java.lang.String sessionKey, java.lang.Integer warehouseId, java.lang.Integer shipToOrgId, java.lang.Long customerId, java.lang.Long customerSiteId, java.lang.String requestedDate)` This method sets the parameters for ATP
`void` | `setDeltaSpec(int deltaSpec)` This method sets the delta spec parameter
`void` | `setEffectiveDate(java.util.Calendar effectiveDate)` This method sets the effective date of the configuration
`void` | `setEffectiveUsageName(java.lang.String effectiveUsageName)` This method sets the effective usage name of the configuration
`void` | `setInitialBomQuantity(double quantity)` This method sets the initial quantity of the root BOM node.
`void` | `setInputInventoryItemId(int inventoryItemId)` This method sets the inventoryItemId to be used to determine which bill is the source of the configuration
`void` | `setInputOrganizationId(int organizationId)` This method sets the organizationId to be used to determine which bill is the source of the configuration
`void` | `setLog(oracle.apps.cz.utilities.LogWriter log)`
`void` | `setModelLookupDate(java.util.Calendar modelLookupDate)` This method sets the lookup date of the model
`void` | `setPricingParams(java.lang.String className)` This method sets the name of the pricing class for Java pricing
`void` | `setPricingParams(java.lang.String packageName, java.lang.String sessionKey, java.lang.String procedureName, int procedureType)` This method sets the pricing parameters for non-Java pricing
`void` | `setRestoreModelId(int modelId)` This id will be used when restoring a saved configuration to restore against a different model than the one against which the configuration was saved
`void` | `setSessionId(java.lang.String sessionId)` This method sets the id of the session.
`void` | `setSourceTransactionTypeId(int sourceTxnTypeId)` This id will be used when reconfiguring an instance
`void` | `setSuppressBaselineErrorsFlag(boolean flag)` This method sets whether or not the CIO should create a validation failure if the baseline of an instance being restored is different from the currently installed revision
`void` | `setUiDefId(int id)` This method sets ui_def_id being used for the configuration
`void` | `setUiDefId(int id, boolean isPublished)` This method sets ui_def_id being used for the configuration along with whether the UI is published or not
`void` | `setUserInterface(oracle.apps.cz.cio.IUserInterface userInterface)` This method sets the current user interface being used for the configuration
`void` | `setValidationContext(java.lang.String validationContext)` This method sets the context in which to compare instances to the installed base repository
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### NEW

    public static final int NEW

### RESTORE

    public static final int RESTORE

### NATIVE

    public static final int NATIVE

### DEFAULT_SOURCE_TXN_TYPE_ID

    public static final int DEFAULT_SOURCE_TXN_TYPE_ID

### INTERACTIVE

    public static final int INTERACTIVE

### VALIDATE_ORDER

    public static final int VALIDATE_ORDER

### VALIDATE_FULFILLMENT

    public static final int VALIDATE_FULFILLMENT

### JAVA_PRICING_MODE

    public static final int JAVA_PRICING_MODE

### PRICE_MULT_ITEMS

    public static final int PRICE_MULT_ITEMS

### PRICE_SINGLE_ITEM

    public static final int PRICE_SINGLE_ITEM

### PRICE_MULT_ITEMS_MLS

    public static final int PRICE_MULT_ITEMS_MLS

### PRICING_DISABLED

    public static final int PRICING_DISABLED

### ATP_CALLBACK

    public static final int ATP_CALLBACK

### ATP_DISABLED

    public static final int ATP_DISABLED

### PARAM_NOT_SET

    public static final int PARAM_NOT_SET

Constructor Detail

### ConfigParameters

    public ConfigParameters(int modelId)

  Constructor for creating a new configuration from a modelId

### ConfigParameters

    public ConfigParameters(long headerId,
                            long revisionNumber)

  Constructor for restoring a saved configuration

### ConfigParameters

    public ConfigParameters(int inventoryItemId,
                            int organizationId,
                            java.util.Date explosionDate)

  Constructor for creating a new configuration based on a BOM explosion

Method Detail

### getModelId

    public int getModelId()

  This method returns the id of the model against which the configuration will be created. If not set, it will return PARAM_NOT_SET.

### hasModelId

    public boolean hasModelId()

  This method returns true if the modelId parameter has been set

### getConfigHeaderId

    public long getConfigHeaderId()

  This method returns the header id of the saved configuration that will be restored. If not set, it will return PARAM_NOT_SET.

### hasConfigHeaderId

    public boolean hasConfigHeaderId()

  This method returns true if the ConfigHeaderId parameter has been set

### getConfigRevision

    public long getConfigRevision()

  This method returns the revision number of the saved configuration that will be restored. If not set, it will return PARAM_NOT_SET.

### hasConfigRevision

    public boolean hasConfigRevision()

  This method returns true if the ConfigRevision parameter has been set

### getInventoryItemId

    public int getInventoryItemId()

  This method returns the inventory item id of the BOM explosion that will be used to create the configuration. If not set, it will return PARAM_NOT_SET.

### hasInventoryItemId

    public boolean hasInventoryItemId()

  This method returns true if the InventoryItemId parameter has been set

### getOrganizationId

    public int getOrganizationId()

  This method returns the organization id of the BOM explosion that will be used to create the configuration. If not set, it will return PARAM_NOT_SET.

### hasOrganizationId

    public boolean hasOrganizationId()

  This method returns true if the OrganizationId parameter has been set

### getExplosionDate

    public java.util.Date getExplosionDate()

  This method returns the explosion date of the BOM explosion that will be used to create the configuration. If not set, it will return null.

### hasExplosionDate

    public boolean hasExplosionDate()

  This method returns true if the ExplosionDate parameter has been set

### setRestoreModelId

    public void setRestoreModelId(int modelId)

  This id will be used when restoring a saved configuration to restore against a different model than the one against which the configuration was saved

### getRestoreModelId

    public int getRestoreModelId()

  This method returns the modelId against which the CIO will attempt to restore the saved configuration. If not set, it will return PARAM_NOT_SET.

### hasRestoreModelId

    public boolean hasRestoreModelId()

  This method returns true if the RestoreModelId parameter has been set

### setUserInterface

    public void setUserInterface(oracle.apps.cz.cio.IUserInterface userInterface)

  This method sets the current user interface being used for the configuration

### getUserInterface

    public oracle.apps.cz.cio.IUserInterface getUserInterface()

  This method returns the current user interface being used for the configuration If not set, it will return null.

### hasUserInterface

    public boolean hasUserInterface()

  This method returns true if the UserInterface parameter has been set

### getUiDefId

    public int getUiDefId()

  This method returns the current ui_def_id being used for the configuration If not set, it will return -1.

### setUiDefId

    public void setUiDefId(int id)

  This method sets ui_def_id being used for the configuration

### setUiDefId

    public void setUiDefId(int id,
                           boolean isPublished)

  This method sets ui_def_id being used for the configuration along with whether the UI is published or not

### setModelLookupDate

    public void setModelLookupDate(java.util.Calendar modelLookupDate)

  This method sets the lookup date of the model

### getModelLookupDate

    public java.util.Calendar getModelLookupDate()

  This method returns the lookup date of the model If not set, it will return null.

### hasModelLookupDate

    public boolean hasModelLookupDate()

  This method returns true if the ModelLookupDate parameter has been set

### setEffectiveDate

    public void setEffectiveDate(java.util.Calendar effectiveDate)

  This method sets the effective date of the configuration

### getEffectiveDate

    public java.util.Calendar getEffectiveDate()

  This method returns the effective date of the configuration If not set, it will return null.

### hasEffectiveDate

    public boolean hasEffectiveDate()

  This method returns true if the EffectiveDate parameter has been set

### setEffectiveUsageName

    public void setEffectiveUsageName(java.lang.String effectiveUsageName)

  This method sets the effective usage name of the configuration

### getEffectiveUsageName

    public java.lang.String getEffectiveUsageName()

  This method returns the effective usage name of the configuration If not set, it will return null.

### hasEffectiveUsageName

    public boolean hasEffectiveUsageName()

  This method returns true if the EffectiveUsageName parameter has been set

### setSessionId

    public void setSessionId(java.lang.String sessionId)

  This method sets the id of the session. This id is used for logging purposes.

### getSessionId

    public java.lang.String getSessionId()

  This method returns the id of the session. If not set, it will return null.

### hasSessionId

    public boolean hasSessionId()

  This method returns true if the SessionId parameter has been set

### setSourceTransactionTypeId

    public void setSourceTransactionTypeId(int sourceTxnTypeId)

  This id will be used when reconfiguring an instance

### getSourceTransactionTypeId

    public int getSourceTransactionTypeId()

  This method returns the SourceTransactionTypeId against which the CIO will use when reconfiguring an instance If not set, it will return PARAM_NOT_SET.

### hasSourceTransactionTypeId

    public boolean hasSourceTransactionTypeId()

  This method returns true if the SourceTransactionTypeId parameter has been set

### setInitialBomQuantity

    public void setInitialBomQuantity(double quantity)

  This method sets the initial quantity of the root BOM node. The default is 0.

### getInitialBomQuantity

    public double getInitialBomQuantity()

  This method returns the initial quantity of the root BOM node The default is 0.

### hasInitialBomQuantity

    public boolean hasInitialBomQuantity()

  This method returns true if the InitialBomQuantity parameter has been set

### setPricingParams

    public void setPricingParams(java.lang.String className)

  This method sets the name of the pricing class for Java pricing

### getPricingClassName

    public java.lang.String getPricingClassName()

  This method returns the name of the pricing class for Java pricing. If not set, it will return null.

### setPricingParams

    public void setPricingParams(java.lang.String packageName,
                                 java.lang.String sessionKey,
                                 java.lang.String procedureName,
                                 int procedureType)

  This method sets the pricing parameters for non-Java pricing

### getPricingPackageName

    public java.lang.String getPricingPackageName()

  This method returns the pricing package name for non-Java pricing. If not set, it will return null.

### getPricingProcedureName

    public java.lang.String getPricingProcedureName()

  This method returns the pricing procedure name for non-Java pricing. If not set, it will return null.

### getPricingSessionKey

    public java.lang.String getPricingSessionKey()

  This method returns the pricing session key for non-Java pricing. If not set, it will return null.

### getPricingMode

    public int getPricingMode()

  This method returns the pricing mode. The default is PRICING_DISABLED.

### hasPricingParams

    public boolean hasPricingParams()

  This method returns true if the Pricing Params have been set

### setAtpParams

    public void setAtpParams(java.lang.String packageName,
                             java.lang.String procedureName,
                             java.lang.String sessionKey,
                             java.lang.Integer warehouseId,
                             java.lang.Integer shipToOrgId,
                             java.lang.Long customerId,
                             java.lang.Long customerSiteId,
                             java.lang.String requestedDate)

  This method sets the parameters for ATP

### getAtpPackageName

    public java.lang.String getAtpPackageName()

  This method returns the package name for ATP. If not set, it will return null.

### getAtpProcedureName

    public java.lang.String getAtpProcedureName()

  This method returns the procedure name for ATP. If not set, it will return null.

### getAtpWarehouseId

    public java.lang.Integer getAtpWarehouseId()

  This method returns the warehouse id for ATP. If not set, it will return null.

### getAtpShipToOrgId

    public java.lang.Integer getAtpShipToOrgId()

  This method returns the ship to organization id for ATP. If not set, it will return null.

### getAtpCustomerId

    public java.lang.Integer getAtpCustomerId()

  Deprecated. use getAtpCustomerIdLong

### getAtpCustomerIdLong

    public java.lang.Long getAtpCustomerIdLong()

  This method returns the customer id for ATP. If not set, it will return null.

### getAtpCustomerSiteIdLong

    public java.lang.Long getAtpCustomerSiteIdLong()

  This method returns the customer site id for ATP. If not set, it will return null.

### getAtpCustomerSiteId

    public java.lang.Integer getAtpCustomerSiteId()

  Deprecated. use getAtpCustomerSiteIdLong

### getAtpRequestedDate

    public java.lang.String getAtpRequestedDate()

  This method returns the requested date for ATP. If not set, it will return null.

### getAtpSessionKey

    public java.lang.String getAtpSessionKey()

  This method returns the session key for ATP. If not set, it will return null.

### getAtpMode

    public int getAtpMode()

  This method returns the ATP mode. The default is ATP_DISABLED.

### hasAtpParams

    public boolean hasAtpParams()

  This method returns true if the ATP Params have been set

### setInputInventoryItemId

    public void setInputInventoryItemId(int inventoryItemId)

  This method sets the inventoryItemId to be used to determine which bill is the source of the configuration

### getInputInventoryItemId

    public int getInputInventoryItemId()

  This method returns the inventoryItemId that will be used to determine which bill is the source of the configuration. If not set, it will return PARAM_NOT_SET.

### hasInputInventoryItemId

    public boolean hasInputInventoryItemId()

  This method returns true if the InputInventoryItemId parameter has been set

### setInputOrganizationId

    public void setInputOrganizationId(int organizationId)

  This method sets the organizationId to be used to determine which bill is the source of the configuration

### getInputOrganizationId

    public int getInputOrganizationId()

  This method returns the organizationId that will be used to determine which bill is the source of the configuration. If not set, it will return PARAM_NOT_SET.

### hasInputOrganizationId

    public boolean hasInputOrganizationId()

  This method returns true if the InputOrganizationId parameter has been set

### addInstalledInstance

    public void addInstalledInstance(java.lang.Long headerId)

  This method adds a configHeaderId of an instance to be added to the delta configuration

### getInstalledInstances

    public com.sun.java.util.collections.Collection getInstalledInstances()

  This method returns the collection of configHeaderIds of the instances to be added to the delta configuration

### setSuppressBaselineErrorsFlag

    public void setSuppressBaselineErrorsFlag(boolean flag)

  This method sets whether or not the CIO should create a validation failure if the baseline of an instance being restored is different from the currently installed revision

### getSuppressBaselineErrorsFlag

    public boolean getSuppressBaselineErrorsFlag()

  This method returns true if a validation failure WILL NOT be created if the baseline of an instance being restored is different from the currently installed revision The default is false

### setValidationContext

    public void setValidationContext(java.lang.String validationContext)

  This method sets the context in which to compare instances to the installed base repository

### getValidationContext

    public java.lang.String getValidationContext()

  This method returns the context in which to compare instances to the installed base repository If not set, it will return null.

### hasValidationContext

    public boolean hasValidationContext()

  This method returns true if the ValidationContext parameter has been set

### setDeltaSpec

    public void setDeltaSpec(int deltaSpec)

  This method sets the delta spec parameter

### getDeltaSpec

    public int getDeltaSpec()

  This method returns the delta spec parameter. If not set, it will return PARAM_NOT_SET.

### getConfigurationType

    public int getConfigurationType()

  Returns the type of session. One of NEW, RESTORE, or NATIVE

### addUserParam

    public void addUserParam(java.lang.String name,
                             java.lang.Object value)

  This method adds a user-defined parameter to the configuration, which can be obtained later by a functional companion.

### getUserParam

    public java.lang.Object getUserParam(java.lang.String name)

  This method returns the value of the specified user-defined parameter. If this parameter doesn't exist, it will return null.

### hasUserParam

    public boolean hasUserParam(java.lang.String param)

  This method returns true if the specified user parameter has been set

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### setLog

    public void setLog(oracle.apps.cz.utilities.LogWriter log)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.